form_element.h File Reference

Go to the source code of this file.

## Namespaces

| rheolef
| This file is part of Rheolef.

## Functions

template<class Value >
scalar_traits< Value >::type | product (const Value &a, const Value &b)
template<class T >
T | product (const point_basic< T > &a, const point_basic< T > &b)
template<class T , class Value , class Basis >
void | build_mass_generic (const Basis &b, reference_element hat_K, Eigen::SparseMatrix< T, Eigen::RowMajor > &mass)
template<class T , class Basis >
void | build_mass (const Basis &b, reference_element hat_K, Eigen::SparseMatrix< T, Eigen::RowMajor > &mass)
template<class T , class Basis >
void | build_mass_bdr (const Basis &b, reference_element tilde_K, Eigen::SparseMatrix< T, Eigen::RowMajor > &mass_bdr)
template<class T , class Basis >
void | build_grad_grad (const Basis &b, reference_element hat_K, Eigen::SparseMatrix< T, Eigen::RowMajor > &grad_grad)